EnKash Developer Portal
Home
Home
Login
  1. Redemption
  • Back to home
  • APIs - Reward
  • Token APIs
    • Authentication
    • Single Sign On (SSO)
  • Reward Allocation
    • Create And Allocate Points
    • Bulk Create And Allocate Rewards
    • Get Reward Account Details
    • Get Reward Transaction Details
    • Get User Details
    • Get User Card Details
  • Incentive Allocation
    • Incentive Create And Allocation
    • Get Incentive Transaction details
    • Get User Details
  • Redemption
    • User Authentication
      POST
    • Search Catalog
      POST
    • Product Details
      GET
    • create order
      POST
    • Fetch Order Info by Partner order Reference id
      GET
  • Point Management
    • Overview
    • Create Event
    • Get Event
    • Update Event
    • Allocate Coins
    • Get Balance
  1. Redemption

User Authentication

POST
/oauth/token
1.
Get userName and password from enkash
2.
Call auth token Api to generate Bearer token
3.
Bearer token has expiry of 5 min and refresh token will be valid for 5 min . It will require regeneration once expired.
4.
Distribution Platform verifies the identity of each Oauth2.0 API request, and whether the call parameters are valid. After 3 consecutive incorrect attempts, the account will be locked. Invalid response

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Header Params

Body Params application/x-www-form-urlencoded

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/oauth/token' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'username=9985379680' \
--data-urlencode 'pin=123456' \
--data-urlencode 'grant_type=password' \
--data-urlencode 'clientId=CEKIMP7F3L'

Responses

🟢200Success
application/json
Body

Example
{"access_token":"bCFIP675fIyGKIf6CWak43LF1rI","token_type":"bearer","refresh_token":"i2UQSYGeDZPogy_V6szNOi5Q0W0","expires_in":86399,"scope":"read write trust"}
Modified at 2026-04-13 07:39:52
Previous
Get User Details
Next
Search Catalog
Built with